'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-8af2820a.js');
const windowResizeService = require('./window-resize-service-65a5a370.js');
require('./utils-f8ccab0a.js');
require('./BehaviorSubject-12116537.js');

const contentSplitBlockCss = "*{box-sizing:border-box}content-split-block{display:block}content-split-block[reverse=true] content-grid-formatter [slot=column1]{order:2}content-split-block[reverse=true] content-grid-formatter [slot=column2]{order:1}";
const ContentSplitBlockStyle0 = contentSplitBlockCss;

const ContentSplitBlock = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.reverse = false;
        this.columns = '1|2';
        this.classes = undefined;
        this.classString = undefined;
    }
    componentWillLoad() {
        windowResizeService.WindowResizeService.registerProp(this.reverse).subscribe(newValue => (this.reverse = newValue));
        windowResizeService.WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (index.h(index.Host, { key: '07309d1b00b39a34cb02365cfed93068466ded61', class: this.classString, reverse: this.reverse }, index.h("content-grid-formatter", { key: '55114d699cb714a820d9ee5c7db0f1b674a762e0', type: "flex", "flex-grow": "true", "flex-shrink": "true", columns: this.columns }, index.h("slot", { key: '155c3babd869c8c8b5b8766b13b68b56188d02d7', name: "column1" }), index.h("slot", { key: '19ed20dae1df7efe894bf420de4020d1a72a679c', name: "column2" }))));
    }
};
ContentSplitBlock.style = ContentSplitBlockStyle0;

exports.content_split_block = ContentSplitBlock;

//# sourceMappingURL=content-split-block.cjs.entry.js.map