import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentToutBlockCss = "*{box-sizing:border-box}content-tout-block .content-tout-block__media{position:relative}content-tout-block .content-tout-block__media-content{position:absolute;width:100%;height:100%;top:0;left:0;display:flex;align-items:center;justify-content:center;overflow:hidden}content-tout-block .content-tout-block__media-content [slot=mediaContent]{height:100%;width:100%}content-tout-block[hover=true] .content-tout-block__media-content{transition:opacity 0.3s}@media (hover: hover){content-tout-block[hover=true] .content-tout-block__media-content{opacity:0}content-tout-block[hover=true] .content-tout-block__media-content:hover,content-tout-block[hover=true] .content-tout-block__media-content:focus,content-tout-block[hover=true] .content-tout-block__media-content:focus-within{opacity:1}}";
const ContentToutBlockStyle0 = contentToutBlockCss;

const ContentToutBlock$1 = /*@__PURE__*/ proxyCustomElement(class ContentToutBlock extends H {
    constructor() {
        super();
        this.__registerHost();
        this.hover = 'false|true';
        this.classes = undefined;
        this.classString = undefined;
        this.hasHoverContent = false;
    }
    componentWillLoad() {
        this.hasMediaContent = !!this.hostElement.querySelector('[slot="mediaContent"]');
        WindowResizeService.registerProp(this.hover).subscribe(newValue => (this.hover = newValue));
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: '69ebec1035055bb7a249e595342a0d79438181bb', hover: this.hover, class: this.classString }, h("div", { key: 'c743bc1ff43b2c943b955f0b7ea00f532041aa0d', class: "content-tout-block__media" }, h("slot", { key: 'ac975a64066064eee82b7cbb35578f9cc6f3529a', name: "media" }), this.hasMediaContent && (h("div", { key: '9d00d6821314a5b95330a911e6a829c1e310ead7', class: "content-tout-block__media-content" }, h("slot", { key: '0daf8cb6fd837e0949e293765e70b6511701fa5c', name: "mediaContent" })))), h("div", { key: '399f773abf22662d4f923114c3cdbb752508ad82', class: "content-tout-block__content" }, h("slot", { key: 'bb48528101de40fa8d6f02fa21cab6027ff0ba39', name: "content" }), h("slot", { key: '4b4cd77dc3c31741b8d81d5f267547424b3d459a' }))));
    }
    get hostElement() { return this; }
    static get style() { return ContentToutBlockStyle0; }
}, [4, "content-tout-block", {
        "hover": [1537],
        "classes": [1],
        "classString": [32],
        "hasHoverContent": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-tout-block"];
    components.forEach(tagName => { switch (tagName) {
        case "content-tout-block":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentToutBlock$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentToutBlock = ContentToutBlock$1;
const defineCustomElement = defineCustomElement$1;

export { ContentToutBlock, defineCustomElement };

//# sourceMappingURL=content-tout-block.js.map