import { ResponsiveBoolean, ResponsiveString } from '../../typings';
/**
 * @slot column1 - This will be column 1.
 * @slot column2 - This will be column 2.
 */
export declare class ContentSplitBlock {
    /**
     * @type Boolean
     * @responsive
     */
    reverse: ResponsiveBoolean | boolean;
    /**
     * @type Number
     * @responsive
     */
    columns: string;
    /**
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    classString: any;
    componentWillLoad(): void;
    render(): any;
}
//# sourceMappingURL=content-split-block.d.ts.map